<template>
  <v-ons-page>
    <div class="create-account-container">
      <h1>Welcome To</h1>
      <h1 id="main-title">Shardus Chat</h1>

      <v-ons-button
        class="create-user-btn default-btn"
        @click="$router.push('/createaccount')"
      >Create Account</v-ons-button>
      <v-ons-button
        class="import-user-btn default-btn"
        @click="$router.push('/setting/import')"
      >Import Account</v-ons-button>

      <v-ons-button
        class="new-message-btn"
        modifier="quiet"
        @click="$router.push('/setting/network')"
      >Change Network Setting</v-ons-button>
    </div>
  </v-ons-page>
</template>

<script>
import Vue from "vue";
import "onsenui/css/onsenui.css";
import "onsenui/css/onsen-css-components.css";
import VueOnsen from "vue-onsenui/esm";
import OnsenComponents from "~/components/Onsen";
import ChatText from "~/components/ChatText";
import ChatInput from "~/components/ChatInput";

Vue.use(VueOnsen);
Object.values(OnsenComponents).forEach(c => Vue.component(c.name, c));
export default {
  components: {},
  data: function() {
    return {
      username: ""
    };
  },
  methods: {
    onCreateAccount() {
      this.$router.push("/");
    }
  }
};
</script>

<style>
.create-account-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100vh;
}
.create-account-container .new-message-btn {
  font-size: 11px;
  color: #43b8e7;
}

#main-title {
  font-size: 27px;
  color: #43b8e7;
  letter-spacing: -0.3px;
  text-align: left;
  margin-bottom: 30px;
}

.import-user-btn {
  margin: 20px;
  background: #ffffff;
  border: 2px solid #43b8e7;
  border-radius: 30px;
  font-family: HelveticaNeue-Medium;
  font-size: 13px;
  color: #43b8e7;
  letter-spacing: -0.14px;
  text-align: center;
  margin-bottom: 5px;
}
</style>
